package Test;

import javax.swing.JButton;
import java.awt.*;

public class CustomJButton extends JButton {
    private final Font font = new Font("Arial", Font.PLAIN, 15);
    private final Color defaultColor = Color.GRAY;
    private final int radius = 20;


    public CustomJButton(String text, Color c) {
        super(text);
        this.setBackground(c);
        init();
    }


    public CustomJButton(String text) {
        super(text);
        this.setBackground(defaultColor);
        init();
    }


    private void init() {
        this.setFont(font);
        this.setFocusPainted(false);
        this.setContentAreaFilled(false);
        //this.setBorderPainted(false);
        this.setBorder(new RoundedBorder(radius));
    }
}
